Skip to main content
GET
/
api
/
v0
/
benchmarks
search benchmarks
curl --request GET \
  --url https://console.vast.ai/api/v0/benchmarks/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "contract_id": 123,
    "id": 123,
    "image": "<string>",
    "last_update": 123,
    "machine_id": 123,
    "model": "<string>",
    "name": "<string>",
    "num_gpus": 123,
    "score": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://vastai-80aa3a82-fix-google-validation-docs-404s.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

query
string

Search query string to filter benchmarks.

Response

Success response

contract_id
integer

ID of instance/contract reporting benchmark

id
integer

Benchmark unique ID

image
string

Image used for benchmark

last_update
number<float>

Date of benchmark

machine_id
integer

ID of machine benchmarked

model
string

Name of model used in benchmark

name
string

Name of benchmark

num_gpus
integer

Number of GPUs used in benchmark

score
number<float>

Benchmark score result